aboutsummaryrefslogtreecommitdiffstats
path: root/sfc/tests/functest/setup_scripts/server_presetup_CI.bash
diff options
context:
space:
mode:
Diffstat (limited to 'sfc/tests/functest/setup_scripts/server_presetup_CI.bash')
-rw-r--r--sfc/tests/functest/setup_scripts/server_presetup_CI.bash13
1 files changed, 13 insertions, 0 deletions
diff --git a/sfc/tests/functest/setup_scripts/server_presetup_CI.bash b/sfc/tests/functest/setup_scripts/server_presetup_CI.bash
new file mode 100644
index 00000000..240353f5
--- /dev/null
+++ b/sfc/tests/functest/setup_scripts/server_presetup_CI.bash
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+ssh_options='-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no'
+BASEDIR=`dirname $0`
+INSTALLER_IP=${INSTALLER_IP:-10.20.0.2}
+
+pushd $BASEDIR
+ip=$(sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'fuel node'|grep controller|awk '{print $10}' | head -1)
+echo $ip
+
+sshpass -p r00tme scp $ssh_options delete.sh ${INSTALLER_IP}:/root
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'scp '"$ip"':/root/tackerc .'
+sshpass -p r00tme scp $ssh_options ${INSTALLER_IP}:/root/tackerc $BASEDIR